<template>
    <view class="container">
        <view class="select">用工单位招工服务通道</view>
        <view class="select-text">提交资料，审核通过后可快速发布招工信息</view>
        <view class="select-text">第一步：首次开通，点击“我要招工”填写信息</view>
        <view class="select-text">第二步：提交认证资料，后台机构审核资料</view>
        <view class="select-text">第三步：通过认证后，即可发布专属招工信息</view>
        <view class="block" @click="next(1)">
            <img src="../../static/img/zhao_icon2.png" alt="" />
            <view class="block-text" style="background-color: #4171F9;">我要招工</view>
        </view>
    </view>
</template>

<script>
    import {
        seeIsHaveCodep
    } from '@/api/userrecruit.js'
    import {
        mapState
    } from 'vuex'
    let reviewStatus = {
        '-1': "全选择",
        '0': "待审核",
        '1': "已审核",
        '9': "已驳回",
    };
    export default {
        data() {
            return {}
        },
        computed: {
            ...mapState({
                idNumber: (state) => {
					console.log(state.auth.authInfo, 'auth.authInfo')
					return state.auth.authInfo.idNumber
				}
            }),
        },
        methods: {
            next(type) {
				// return this.$api.msg('该功能正在完善中')
                switch (type) {
                    case 0:
                        this.isHaveCode(this.idNumber).then(() => {
                            this.$store.commit('setEnterprise', type)
                            this.navTo('/pages/recruit/subPage/index?type=none')
                        })
                        break;
                    case 1:
                        this.isHaveCode(this.idNumber).then(() => {
                            this.$store.commit('setEnterprise', type)
                            this.navTo('/pages/recruit/subPage/index?type=enterprise')
                        })
                        break;
                }
            },
            isHaveCode(idNumber) {
                uni.showLoading({
                    title: '请求中'
                })
                return new Promise(async (resolve, reject) => {
                    let resData = await seeIsHaveCodep({
                        idNumber
                    })
                    uni.hideLoading()
                    if (resData.data.code === 200) {
                        if (resData.data.data.haveCode) {
                            resolve()
                        } else {
							
							return this.$api.msg('系统正在建设中')
							
                            switch (resData.data.data.reviewStatus) {
                                case 0:
                                    this.$api.msg('您提交的认证信息正在审核中')
                                    break
                                case 1:
                                    this.$api.msg('您提交的认证信息正在审核中')
                                    break
                                case 9:
                                    this.navTo(
                                        '/pages/recruit/subPage/enterpriceCertification/enterpriceCertification?reviewStatus=9'
                                    )
                                    this.$api.sleep(1000).then(() => {
                                        this.$api.msg('您提交的认证信息被驳回，请重新提交资料')
                                    })
                                    break
                                default: // -1 未提交
                                    this.navTo(
                                        '/pages/recruit/subPage/enterpriceCertification/enterpriceCertification'
                                    )
                            }
                        }
                    } else {
                        reject()
                    }
                })
            }
        }
    }
</script>

<style lang="scss">
    .container {
        padding: 60rpx;

        .select {
            font-size: 36rpx;
            color: #000;
        }

        .select-text {
            font-size: 28rpx;
            color: #999;
            margin-top: 10rpx;
        }

        .block {
            width: 100%;
            height: 300rpx;
            border-radius: 20rpx;
            background-color: #f3f4f8;
            margin: 40rpx auto;
            position: relative;
            display: flex;
            align-items: center;

            .block-text {
                color: #fff;
                font-size: 26rpx;
                position: absolute;
                width: 180rpx;
                height: 60rpx;
                border-radius: 30rpx;
                background-color: #45D4B6;
                text-align: center;
                line-height: 60rpx;
                right: 20rpx;
                top: 50%;
                margin-top: -30rpx;
            }

            img {
                width: 300rpx;
                margin-left: 50rpx;
            }
        }

    }
</style>